


/**
 * Provides a Comparator implementation for the sensor time stamp  
 * 
 * <P>
 * 
 * DO NOT INCLUDE AUTHOR NAMES IN SOURCE FILE
 *
 */

public class TimeComparator extends SensorComparator {
	/**
	 * Compare two FinchSensor objects: sensor sample time 
	 * 
	 * @param obj1	FinchSensor object
	 * @param obj2  FinchSensor object
	 * 
	 * @return  1 if obj1 is larger than obj2, 0 if they are equal and -1 if obj1 is less than obj1
	 * 
	 */	
	public int compare(FinchSensor obj1, FinchSensor obj2)
	{
		return(compare(obj1.getSampleTime(),
				obj2.getSampleTime()));
	}

	/**
	 * 
	 * @return	The value of the sensor as a double
	 */
	public double doubleValue(FinchSensor obj){
		return(obj.getTemperature());
	}
	
	/**
	 * @return A string describing this comparator 
	 */
	public String toString(){
		return("Sample time");
	}


}
