

/**
 * Provides a Comparator implementation for the Z acceleration sensor. 
 * 
 * <P>
 * 
 * DO NOT INCLUDE AUTHOR NAMES IN SOURCE FILE
 *
 */

public class ZaccelComparator extends SensorComparator {
	/**
	 * Compare two FinchSensor objects: Z acceleration
	 * 
	 * @param obj1	FinchSensor object
	 * @param obj2  FinchSensor object
	 * 
	 * @return  1 if obj1 is larger than obj2, 0 if they are equal and -1 if obj1 is less than obj1
	 * 
	 */
	public int compare(FinchSensor obj1, FinchSensor obj2)
	{
		return(compare(obj1.getAcceleration()[2],
				obj2.getAcceleration()[2]));
	}

	/**
	 * 
	 * @return	The value of the sensor as a double
	 */
	public double doubleValue(FinchSensor obj){
		return(obj.getAcceleration()[2]);
	}
	
	/**
	 * @return A string describing this comparator 
	 */
	public String toString(){
		
		// TODO: Fill in
		return("Acceleration Z");
	}

}
